#!/usr/bin/perl -w

# Tests for joining many regexes safely

open(REF,"regexes_to_load");
@ref = <REF>;
close(REF);
open(WORDS,"/usr/dict/words");
@words = <WORDS>;
close(WORDS);

$bigrex = join('|',@ref);
@matches = grep(/$bigrex/, @words);
while($match = pop(@matches) )
	{
	chomp($match);
	print "$match matches\n";
	}

